Debian Bug report logs - #625774
Please provide "diff"

version graph

Package: busybox-static; Maintainer for busybox-static is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox-static is src:busybox.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Thu, 5 May 2011 21:21:42 UTC

Severity: wishlist

Fixed in version busybox/1:1.18.5-1

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, jamey@minilop.net, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#625774; Package busybox-static. (Thu, 05 May 2011 21:21:45 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please provide "diff"
Date: Thu, 05 May 2011 14:13:40 -0700
Package: busybox-static
Severity: wishlist

Current busybox-static does not provide the "diff" command.  Please
consider enabling it.  Doing so would make busybox sufficiently capable
to run a configure script, which would help when bootstrapping a minimal
environment.

Thanks,
Josh Triplett

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-rc5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added tag(s) pending. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Fri, 01 Jul 2011 20:36:03 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Mon, 25 Jul 2011 13:34:13 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Mon, 25 Jul 2011 13:34:14 GMT) Full text and rfc822 format available.

Message #10 received at 625774-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 625774-close@bugs.debian.org
Subject: Bug#625774: fixed in busybox 1:1.18.5-1
Date: Mon, 25 Jul 2011 13:32:17 +0000
Source: busybox
Source-Version: 1:1.18.5-1

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.18.5-1_i386.deb
  to main/b/busybox/busybox-static_1.18.5-1_i386.deb
busybox-syslogd_1.18.5-1_all.deb
  to main/b/busybox/busybox-syslogd_1.18.5-1_all.deb
busybox-udeb_1.18.5-1_i386.udeb
  to main/b/busybox/busybox-udeb_1.18.5-1_i386.udeb
busybox_1.18.5-1.debian.tar.gz
  to main/b/busybox/busybox_1.18.5-1.debian.tar.gz
busybox_1.18.5-1.dsc
  to main/b/busybox/busybox_1.18.5-1.dsc
busybox_1.18.5-1_i386.deb
  to main/b/busybox/busybox_1.18.5-1_i386.deb
busybox_1.18.5.orig.tar.bz2
  to main/b/busybox/busybox_1.18.5.orig.tar.bz2
udhcpc_1.18.5-1_all.deb
  to main/b/busybox/udhcpc_1.18.5-1_all.deb
udhcpd_1.18.5-1_all.deb
  to main/b/busybox/udhcpd_1.18.5-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625774@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Jul 2011 13:08:04 +0400
Source: busybox
Binary: busybox busybox-static busybox-udeb busybox-syslogd udhcpc udhcpd
Architecture: source all i386
Version: 1:1.18.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-syslogd - Provides syslogd and klogd using busybox
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
 udhcpc     - Provides the busybox DHCP client implementation
 udhcpd     - Provides the busybox DHCP server implementation
Closes: 341403 348314 519045 572939 591756 605614 618927 621485 625774 630000
Changes: 
 busybox (1:1.18.5-1) unstable; urgency=low
 .
   [ Loïc Minier ]
   * Drop debian/gbp.conf as git-buildpackage 0.5.22 doesn't need this anymore.
 .
   [ Michael Tokarev ]
   * imported upstream sources into the git repository, and removed
     debian/README.sources (the package can be built by gbp directly)
   * enable switch_root applet (Closes: #572939)
   * enable seq applet (Closes: #618927)
   * enable float and fancy sleep (Closes: #341403)
   * enable getopt (with long options) for udeb (Closes: #348314)
   * enable standalone telnetd in static build (Closes: #621485)
   * enable ps wide output (ps -w) (Closes: #519045)
   * add debian/.gitignore to ignore generated files in debian/ directory
   * enable cmp applet in udeb flavour
   * enable diff applet in regular and static builds (Closes: #625774)
   * enable missing compression applets in static build
   * sync deb=>static config a bit more
   * enable SEAMLESS_XZ decompression for static and regular builds
   * udhcpc: emit "correct" secs field from upstream (Closes: #630000)
   * new upstream (minor) release 0.18.5
 .
   [ Colin Watson ]
   * Fix udhcpc default.script to operate only on IPv4, to allow dual-stack
     operation.
   * Enable remote logging in syslogd (closes: #605614).
   * Enable vconfig for udeb, until such time as the ip applet can configure
     VLANs itself (closes: #591756).
Checksums-Sha1: 
 34e19dd241ad977f1c1507f60068f768619ab3af 1368 busybox_1.18.5-1.dsc
 0aa287ea0f19a8c0c9224e2aa9c4516a79887139 2130681 busybox_1.18.5.orig.tar.bz2
 087fc291655da10bfd04e3e9f909e5e02f491fbe 43392 busybox_1.18.5-1.debian.tar.gz
 d8f697fde8f36f341a490a539f0295b8a3d0d408 13446 udhcpc_1.18.5-1_all.deb
 714f0c8255ce97df4c6649bf40ec6d62584e6722 15774 busybox-syslogd_1.18.5-1_all.deb
 8309d3d713eb29b876207ab1066316a02d6ec6e1 16750 udhcpd_1.18.5-1_all.deb
 79f07dfcc484673842a4346982b24dd8a5734d1f 338522 busybox_1.18.5-1_i386.deb
 0c37ff76e17b1dd43f14fe7cfde086ce64a14fd4 777842 busybox-static_1.18.5-1_i386.deb
 1b7b582a49c0d3cab21a0902ea729645134af3c3 164386 busybox-udeb_1.18.5-1_i386.udeb
Checksums-Sha256: 
 810a9399a096e811dd05be209b5160dad1e1d17a7b6d02828d920df7b3c8324c 1368 busybox_1.18.5-1.dsc
 10954fcd5c48d8a262a3497b16227bf983a05658bf2bf661af2fdeca773f2fc0 2130681 busybox_1.18.5.orig.tar.bz2
 f15eb013788058105d2fd3e58451646a3cc0ff62f8e099ecde2c625df8effdbd 43392 busybox_1.18.5-1.debian.tar.gz
 ccbbd67489cc9c0244ea73cd1758257495eba391c4190289bbbca4bb35a7b817 13446 udhcpc_1.18.5-1_all.deb
 942eff13b9704af01123a1d6a15a01ae0274e6c56024fdb0f87e51058315aa89 15774 busybox-syslogd_1.18.5-1_all.deb
 04757c3b1ee2b396ea1b7f00dbf9e26e8c5ad4754a85da9fa0993498a89b2483 16750 udhcpd_1.18.5-1_all.deb
 2a056de69948045a5474b9c1c58c3781e9026d069affb57ae633ad3c03b8cc64 338522 busybox_1.18.5-1_i386.deb
 0a98c71f4e9ff5a794c7f23f9fab4eaba6318f71d160ba5df717be05ad21b2be 777842 busybox-static_1.18.5-1_i386.deb
 c5486b17344291a099c3502e8c09166bc4f8cc9df77286f96bfde9428e0b268f 164386 busybox-udeb_1.18.5-1_i386.udeb
Files: 
 c51ad20f9a767ddc3dfe37cb55e98c6b 1368 utils optional busybox_1.18.5-1.dsc
 96dd43cc7cee4017a6bf31b7da82a1f5 2130681 utils optional busybox_1.18.5.orig.tar.bz2
 f20df2c8a4c07cae389978a668eddf73 43392 utils optional busybox_1.18.5-1.debian.tar.gz
 5eec7108471d1087fd05935920171781 13446 net optional udhcpc_1.18.5-1_all.deb
 2f1ddcf27aa98865f6926c798004ffe8 15774 utils optional busybox-syslogd_1.18.5-1_all.deb
 e360b835f1f5ca03ab84777edcb0b853 16750 net optional udhcpd_1.18.5-1_all.deb
 be28af4cc4592132e79bac713eb551f1 338522 utils optional busybox_1.18.5-1_i386.deb
 859d1d365f4ae41ff954f9da2f6b8966 777842 shells extra busybox-static_1.18.5-1_i386.deb
 0aad1112110703507e9b595ed5652429 164386 debian-installer extra busybox-udeb_1.18.5-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iJwEAQECAAYFAk4tbzUACgkQUlPFrXTwyDgoJAP9E0ySKTRkrn9em6L9DyDGZf1l
PHjL0zdcTRTeR+2cZb8EVwBt95ps7Hq2kdkNNxcuufhycSL+HhDoOw95W/iANDz4
8t2LF0dZRyFrN7ybLDBfGJkZbPXQ66k6CXFp+VF/EAKA21Vj4oPxDJYmVL6eIDzQ
VUmldzOtVPEUdupOMgQ=
=MGc2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Sep 2011 07:41:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:44:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.